Index: test/gomory_hu_test.cc
===================================================================
--- test/gomory_hu_test.cc	(revision 588)
+++ test/gomory_hu_test.cc	(revision 534)
@@ -3,6 +3,4 @@
 #include "test_tools.h"
 #include <lemon/smart_graph.h>
-#include <lemon/concepts/graph.h>
-#include <lemon/concepts/maps.h>
 #include <lemon/lgf_reader.h>
 #include <lemon/gomory_hu.h>
@@ -35,34 +33,4 @@
   "target 3\n";
   
-void checkGomoryHuCompile()
-{
-  typedef int Value;
-  typedef concepts::Graph Graph;
-
-  typedef Graph::Node Node;
-  typedef Graph::Edge Edge;
-  typedef concepts::ReadMap<Edge, Value> CapMap;
-  typedef concepts::ReadWriteMap<Node, bool> CutMap;
-
-  Graph g;
-  Node n;
-  CapMap cap;
-  CutMap cut;
-  Value v;
-  int d;
-
-  GomoryHu<Graph, CapMap> gh_test(g, cap);
-  const GomoryHu<Graph, CapMap>&
-    const_gh_test = gh_test;
-
-  gh_test.run();
-
-  n = const_gh_test.predNode(n);
-  v = const_gh_test.predValue(n);
-  d = const_gh_test.rootDist(n);
-  v = const_gh_test.minCutValue(n, n);
-  v = const_gh_test.minCutMap(n, n, cut);
-}
-
 GRAPH_TYPEDEFS(Graph);
 typedef Graph::EdgeMap<int> IntEdgeMap;
@@ -103,6 +71,6 @@
       ght.minCutMap(u, v, cm);
       check(pf.flowValue() == ght.minCutValue(u, v), "Wrong cut 1");
-      check(cm[u] != cm[v], "Wrong cut 2");
-      check(pf.flowValue() == cutValue(graph, cm, capacity), "Wrong cut 3");
+      check(cm[u] != cm[v], "Wrong cut 3");
+      check(pf.flowValue() == cutValue(graph, cm, capacity), "Wrong cut 2");
 
       int sum=0;
@@ -117,4 +85,5 @@
         sum++;
       check(sum == countNodes(graph), "Problem with MinCutNodeIt");
+      
     }
   }
Index: test/hao_orlin_test.cc
===================================================================
--- test/hao_orlin_test.cc	(revision 589)
+++ test/hao_orlin_test.cc	(revision 440)
@@ -20,10 +20,7 @@
 
 #include <lemon/smart_graph.h>
-#include <lemon/adaptors.h>
-#include <lemon/concepts/digraph.h>
-#include <lemon/concepts/maps.h>
-#include <lemon/lgf_reader.h>
 #include <lemon/hao_orlin.h>
 
+#include <lemon/lgf_reader.h>
 #include "test_tools.h"
 
@@ -41,122 +38,25 @@
   "5\n"
   "@edges\n"
-  "     cap1 cap2 cap3\n"
-  "0 1  1    1    1   \n"
-  "0 2  2    2    4   \n"
-  "1 2  4    4    4   \n"
-  "3 4  1    1    1   \n"
-  "3 5  2    2    4   \n"
-  "4 5  4    4    4   \n"
-  "5 4  4    4    4   \n"
-  "2 3  1    6    6   \n"
-  "4 0  1    6    6   \n";
-
-void checkHaoOrlinCompile()
-{
-  typedef int Value;
-  typedef concepts::Digraph Digraph;
-
-  typedef Digraph::Node Node;
-  typedef Digraph::Arc Arc;
-  typedef concepts::ReadMap<Arc, Value> CapMap;
-  typedef concepts::WriteMap<Node, bool> CutMap;
-
-  Digraph g;
-  Node n;
-  CapMap cap;
-  CutMap cut;
-  Value v;
-
-  HaoOrlin<Digraph, CapMap> ho_test(g, cap);
-  const HaoOrlin<Digraph, CapMap>&
-    const_ho_test = ho_test;
-
-  ho_test.init();
-  ho_test.init(n);
-  ho_test.calculateOut();
-  ho_test.calculateIn();
-  ho_test.run();
-  ho_test.run(n);
-
-  v = const_ho_test.minCutValue();
-  v = const_ho_test.minCutMap(cut);
-}
-
-template <typename Graph, typename CapMap, typename CutMap>
-typename CapMap::Value 
-  cutValue(const Graph& graph, const CapMap& cap, const CutMap& cut)
-{
-  typename CapMap::Value sum = 0;
-  for (typename Graph::ArcIt a(graph); a != INVALID; ++a) {
-    if (cut[graph.source(a)] && !cut[graph.target(a)])
-      sum += cap[a];
-  }
-  return sum;
-}
+  "     label  capacity\n"
+  "0 1  0      2\n"
+  "1 2  1      2\n"
+  "2 0  2      2\n"
+  "3 4  3      2\n"
+  "4 5  4      2\n"
+  "5 3  5      2\n"
+  "2 3  6      3\n";
 
 int main() {
-  SmartDigraph graph;
-  SmartDigraph::ArcMap<int> cap1(graph), cap2(graph), cap3(graph);
-  SmartDigraph::NodeMap<bool> cut(graph);
+  SmartGraph graph;
+  SmartGraph::EdgeMap<int> capacity(graph);
 
-  istringstream input(lgf);
-  digraphReader(graph, input)
-    .arcMap("cap1", cap1)
-    .arcMap("cap2", cap2)
-    .arcMap("cap3", cap3)
-    .run();
+  istringstream lgfs(lgf);
+  graphReader(graph, lgfs).
+    edgeMap("capacity", capacity).run();
 
-  {
-    HaoOrlin<SmartDigraph> ho(graph, cap1);
-    ho.run();
-    ho.minCutMap(cut);
-    
-    check(ho.minCutValue() == 1, "Wrong cut value");
-    check(ho.minCutValue() == cutValue(graph, cap1, cut), "Wrong cut value");
-  }
-  {
-    HaoOrlin<SmartDigraph> ho(graph, cap2);
-    ho.run();
-    ho.minCutMap(cut);
+  HaoOrlin<SmartGraph, SmartGraph::EdgeMap<int> > ho(graph, capacity);
+  ho.run();
 
-    check(ho.minCutValue() == 1, "Wrong cut value");
-    check(ho.minCutValue() == cutValue(graph, cap2, cut), "Wrong cut value");
-  }
-  {
-    HaoOrlin<SmartDigraph> ho(graph, cap3);
-    ho.run();
-    ho.minCutMap(cut);
-    
-    check(ho.minCutValue() == 1, "Wrong cut value");
-    check(ho.minCutValue() == cutValue(graph, cap3, cut), "Wrong cut value");
-  }
-  
-  typedef Undirector<SmartDigraph> UGraph;
-  UGraph ugraph(graph);
-  
-  {
-    HaoOrlin<UGraph, SmartDigraph::ArcMap<int> > ho(ugraph, cap1);
-    ho.run();
-    ho.minCutMap(cut);
-    
-    check(ho.minCutValue() == 2, "Wrong cut value");
-    check(ho.minCutValue() == cutValue(ugraph, cap1, cut), "Wrong cut value");
-  }
-  {
-    HaoOrlin<UGraph, SmartDigraph::ArcMap<int> > ho(ugraph, cap2);
-    ho.run();
-    ho.minCutMap(cut);
-    
-    check(ho.minCutValue() == 5, "Wrong cut value");
-    check(ho.minCutValue() == cutValue(ugraph, cap2, cut), "Wrong cut value");
-  }
-  {
-    HaoOrlin<UGraph, SmartDigraph::ArcMap<int> > ho(ugraph, cap3);
-    ho.run();
-    ho.minCutMap(cut);
-    
-    check(ho.minCutValue() == 5, "Wrong cut value");
-    check(ho.minCutValue() == cutValue(ugraph, cap3, cut), "Wrong cut value");
-  }
+  check(ho.minCutValue() == 3, "Wrong cut value");
 
   return 0;
Index: test/kruskal_test.cc
===================================================================
--- test/kruskal_test.cc	(revision 573)
+++ test/kruskal_test.cc	(revision 440)
@@ -100,14 +100,14 @@
         "Total cost should be 10");
 
-  edge_cost_map[e1] = -10;
-  edge_cost_map[e2] = -9;
-  edge_cost_map[e3] = -8;
-  edge_cost_map[e4] = -7;
-  edge_cost_map[e5] = -6;
-  edge_cost_map[e6] = -5;
-  edge_cost_map[e7] = -4;
-  edge_cost_map[e8] = -3;
-  edge_cost_map[e9] = -2;
-  edge_cost_map[e10] = -1;
+  edge_cost_map.set(e1, -10);
+  edge_cost_map.set(e2, -9);
+  edge_cost_map.set(e3, -8);
+  edge_cost_map.set(e4, -7);
+  edge_cost_map.set(e5, -6);
+  edge_cost_map.set(e6, -5);
+  edge_cost_map.set(e7, -4);
+  edge_cost_map.set(e8, -3);
+  edge_cost_map.set(e9, -2);
+  edge_cost_map.set(e10, -1);
 
   vector<Edge> tree_edge_vec(5);
Index: test/lp_test.cc
===================================================================
--- test/lp_test.cc	(revision 567)
+++ test/lp_test.cc	(revision 540)
@@ -396,5 +396,10 @@
     cloneTest<CplexLp>();
   } catch (CplexEnv::LicenseError& error) {
+#ifdef LEMON_FORCE_CPLEX_CHECK
     check(false, error.what());
+#else
+    std::cerr << error.what() << std::endl;
+    std::cerr << "Cplex license check failed, lp check skipped" << std::endl;
+#endif
   }
 #endif
Index: test/mip_test.cc
===================================================================
--- test/mip_test.cc	(revision 567)
+++ test/mip_test.cc	(revision 559)
@@ -144,5 +144,10 @@
     cloneTest<CplexMip>();
   } catch (CplexEnv::LicenseError& error) {
+#ifdef LEMON_FORCE_CPLEX_CHECK
     check(false, error.what());
+#else
+    std::cerr << error.what() << std::endl;
+    std::cerr << "Cplex license check failed, lp check skipped" << std::endl;
+#endif
   }
 #endif
Index: test/preflow_test.cc
===================================================================
--- test/preflow_test.cc	(revision 577)
+++ test/preflow_test.cc	(revision 440)
@@ -85,20 +85,16 @@
   FlowMap flow;
   CutMap cut;
-  VType v;
-  bool b;
-
-  typedef Preflow<Digraph, CapMap>
-            ::SetFlowMap<FlowMap>
-            ::SetElevator<Elev>
-            ::SetStandardElevator<LinkedElev>
-            ::Create PreflowType;
-  PreflowType preflow_test(g, cap, n, n);
-  const PreflowType& const_preflow_test = preflow_test;
-
-  preflow_test
-    .capacityMap(cap)
-    .flowMap(flow)
-    .source(n)
-    .target(n);
+
+  Preflow<Digraph, CapMap>
+    ::SetFlowMap<FlowMap>
+    ::SetElevator<Elev>
+    ::SetStandardElevator<LinkedElev>
+    ::Create preflow_test(g,cap,n,n);
+
+  preflow_test.capacityMap(cap);
+  flow = preflow_test.flowMap();
+  preflow_test.flowMap(flow);
+  preflow_test.source(n);
+  preflow_test.target(n);
 
   preflow_test.init();
@@ -109,11 +105,9 @@
   preflow_test.runMinCut();
 
-  v = const_preflow_test.flowValue();
-  v = const_preflow_test.flow(e);
-  const FlowMap& fm = const_preflow_test.flowMap();
-  b = const_preflow_test.minCut(n);
-  const_preflow_test.minCutMap(cut);
-  
-  ignore_unused_variable_warning(fm);
+  preflow_test.flowValue();
+  preflow_test.minCut(n);
+  preflow_test.minCutMap(cut);
+  preflow_test.flow(e);
+
 }
 
Index: tools/dimacs-solver.cc
===================================================================
--- tools/dimacs-solver.cc	(revision 576)
+++ tools/dimacs-solver.cc	(revision 561)
@@ -24,8 +24,9 @@
 ///
 /// See
-/// \code
-///   dimacs-solver --help
-/// \endcode
+/// \verbatim
+///  dimacs-solver --help
+/// \endverbatim
 /// for more info on usage.
+///
 
 #include <iostream>
Index: tools/dimacs-to-lgf.cc
===================================================================
--- tools/dimacs-to-lgf.cc	(revision 576)
+++ tools/dimacs-to-lgf.cc	(revision 552)
@@ -25,8 +25,9 @@
 ///
 /// See
-/// \code
-///   dimacs-to-lgf --help
-/// \endcode
-/// for more info on the usage.
+/// \verbatim
+///  dimacs-to-lgf --help
+/// \endverbatim
+/// for more info on usage.
+///
 
 #include <iostream>
Index: tools/lemon-0.x-to-1.x.sh
===================================================================
--- tools/lemon-0.x-to-1.x.sh	(revision 566)
+++ tools/lemon-0.x-to-1.x.sh	(revision 545)
@@ -90,8 +90,4 @@
         -e "s/\<StoreBoolMap\>/LoggerBoolMap/g"\
         -e "s/\<storeBoolMap\>/loggerBoolMap/g"\
-        -e "s/\<InvertableMap\>/CrossRefMap/g"\
-        -e "s/\<invertableMap\>/crossRefMap/g"\
-        -e "s/\<DescriptorMap\>/RangeIdMap/g"\
-        -e "s/\<descriptorMap\>/rangeIdMap/g"\
         -e "s/\<BoundingBox\>/Box/g"\
         -e "s/\<readNauty\>/readNautyGraph/g"\
Index: tools/lgf-gen.cc
===================================================================
--- tools/lgf-gen.cc	(revision 576)
+++ tools/lgf-gen.cc	(revision 562)
@@ -24,8 +24,10 @@
 ///
 /// See
-/// \code
-///   lgf-gen --help
-/// \endcode
+/// \verbatim
+///  lgf-gen --help
+/// \endverbatim
 /// for more info on the usage.
+///
+
 
 #include <algorithm>
